Get Google search results
curl --request POST \
--url https://api.acedata.cloud/serp/google \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "search",
"query": "apple inc"
}
'import requests
url = "https://api.acedata.cloud/serp/google"
payload = {
"type": "search",
"query": "apple inc"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'search', query: 'apple inc'})
};
fetch('https://api.acedata.cloud/serp/google', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"organic": [
{
"title": "x402 protocol documentation",
"link": "https://www.x402.org/",
"snippet": "Documentation and resources for the x402 payment protocol.",
"position": 1
}
],
"cost": {
"amount": 0.01,
"currency": "credit"
}
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}API Reference
Get Google search results
Openapi.7753Ed09104646D3Ad80Cd7Ff19676B5.Post.D8Ac2Ddd86Ae
POST
/
serp
/
google
Get Google search results
curl --request POST \
--url https://api.acedata.cloud/serp/google \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "search",
"query": "apple inc"
}
'import requests
url = "https://api.acedata.cloud/serp/google"
payload = {
"type": "search",
"query": "apple inc"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'search', query: 'apple inc'})
};
fetch('https://api.acedata.cloud/serp/google', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"organic": [
{
"title": "x402 protocol documentation",
"link": "https://www.x402.org/",
"snippet": "Documentation and resources for the x402 payment protocol.",
"position": 1
}
],
"cost": {
"amount": 0.01,
"currency": "credit"
}
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Autorisierungen
API token from https://platform.acedata.cloud
Header
Serp Google Param Accept
Verfügbare Optionen:
application/json Body
application/json
- Option 1
- Option 2
Serp Google Type
Verfügbare Optionen:
images Serp Google Query
Required string length:
1 - 2048Pattern:
.*\S.*Beispiel:
"apple inc"
Serp Google Page
Erforderlicher Bereich:
1 <= x <= 100Serp Google Range
Verfügbare Optionen:
h, d, w, m, y, qdr:h, qdr:d, qdr:w, qdr:m, qdr:y Serp Google Number
Erforderlicher Bereich:
1 <= x <= 100Serp Google Country
Required string length:
1 - 32Serp Google Language
Required string length:
1 - 32Openapi.7753Ed09104646D3Ad80Cd7Ff19676B5.Image Size.0Ce42Eb53724
Verfügbare Optionen:
large, medium, icon, 2mp, 4mp, 6mp, 8mp, 10mp, 12mp, 15mp, 20mp, 40mp, 70mp Antwort
Serp Google Response 200
Openapi.7753Ed09104646D3Ad80Cd7Ff19676B5.Schema.199C6D9C838B
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
War diese Seite hilfreich?

